My Project: dgMutexThread Class Reference

My Project

Public Member Functions | Protected Member Functions | List of all members
dgMutexThread Class Referenceabstract

`#include <dgMutexThread.h>`

Inheritance diagram for dgMutexThread:

## Public Member Functions

| dgMutexThread (const char *const name, dgInt32 id)
virtual | ~dgMutexThread (void)
void | Tick ()
void | Terminate ()
bool | IsBusy () const
Public Member Functions inherited from dgThread
| dgThread ()
| dgThread (const char *const name, dgInt32 id)
virtual | ~dgThread ()
bool | StillBusy () const
void | SuspendExecution (dgSemaphore &mutex)
void | SuspendExecution (dgInt32 count, dgSemaphore *const mutexes)
dgInt32 | GetPriority () const
void | SetPriority (int priority)

## Protected Member Functions

virtual void | Execute (dgInt32 threadID)
virtual void | TickCallback (dgInt32 threadID)=0
Protected Member Functions inherited from dgThread
void | Init ()
void | Init (const char *const name, dgInt32 id)
void | Close ()

## Additional Inherited Members

Static Protected Member Functions inherited from dgThread
static void * | dgThreadSystemCallback (void *threadData)
Protected Attributes inherited from dgThread
pthread_t | m_handle
dgInt32 | m_id
dgInt32 | m_terminate
dgInt32 | m_threadRunning
char | m_name [32]

## Constructor & Destructor Documentation

## § dgMutexThread()

dgMutexThread::dgMutexThread | ( | const char *const | name,
|  | dgInt32 | id
| ) |  |

## § ~dgMutexThread()

dgMutexThread::~dgMutexThread | ( | void |  | ) |

virtual

## Member Function Documentation

## § Execute()

void dgMutexThread::Execute | ( | dgInt32 | threadID | ) |

protectedvirtual

Implements dgThread.

## § IsBusy()

bool dgMutexThread::IsBusy | ( |  | ) | const

## § Terminate()

void dgMutexThread::Terminate | ( |  | ) |

## § Tick()

void dgMutexThread::Tick | ( |  | ) |

## § TickCallback()

virtual void dgMutexThread::TickCallback | ( | dgInt32 | threadID | ) |

protectedpure virtual

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgMutexThread.h
- dynamics.mod/NewtonDynamics/source/core/dgMutexThread.cpp